from .api import APIClient
from .models.corpora import CorpusCollection


class CQiClient:
    def __init__(self, host, port=4877):
        self.api = APIClient(host, port=port)

    def connect(self, username='anonymous', password=''):
        status = self.api.ctrl_connect(username, password)
        self.corpora = CorpusCollection(self)
        return status

    def disconnect(self):
        del self.corpora
        return self.api.ctrl_bye()
